Package org.eclipse.emf.cdo.spi.server

## Class ContainerRepositoryProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider

- All Implemented Interfaces:
    `IRepositoryProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`
  Direct Known Subclasses:
    `PluginRepositoryProvider`

      public class ContainerRepositoryProvider
      extends java.lang.Object
      implements IRepositoryProvider, org.eclipse.net4j.util.container.IManagedContainerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerRepositoryProvider​(org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` |
    `IRepository` | `getRepository​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRepositoryProvider

          public ContainerRepositoryProvider​(org.eclipse.net4j.util.container.IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public org.eclipse.net4j.util.container.IManagedContainer getContainer()

      Specified by:
        `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

    - #### getRepository

          public IRepository getRepository​(java.lang.String name)

      Specified by:
        `getRepository` in interface `IRepositoryProvider`